
Foreman - Bug #14800

Satellite 6.1.4 API docs link bug

04/25/2016 01:52 PM - Zach Huntington-Meath

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1303685 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1303685

Description of problem: When customer opens link "https:satellite.example.com/apidoc/v2/" and clicks on activation key it open URL

"https://satellite.example.com/apidoc/apidoc/v2/activation_keys.html" instead of

"https://satellite.example.com/apidoc/v2/activation_keys.html"

Version-Release number of selected component (if applicable): 6.1.4

How reproducible:

Steps to Reproduce:

1. Open link "https:satellite.example.com/apidoc/v2/"

2. Now click on Activation Clicks

3. It will open "https://satellite.example.com/apidoc/apidoc/v2/activation_keys.html" instead of

"https://satellite.example.com/apidoc/v2/activation_keys.html"

Actual results: It redirects to link "https://satellite.example.com/apidoc/apidoc/v2/activation_keys.html"

Expected results: It should redirect to link "https://satellite.example.com/apidoc/v2/activation_keys.html"

Additional info: This is because when cu opens above link it reads v2.html file.

/var/lib/foreman/public/apipie-cache/apidoc/v2.html

~

~~

~~~~~~~~~~~~~~~~~~~~

<td>

<a href='../apidoc/v2/activation_keys/index.html'>GET /katello/api/activation_keys</a>

</td>

<tr>

<td>

<a href='../apidoc/v2/activation_keys/index.html'>GET /katello/api/environments/:environment_id/activation_keys</a>

~

~~

~~~~~~~~~~~~~~~~~~~~

So when cu puts "/" in front of v2 it consider it as an directory due to which its not able to replace apidoc from URL.

History

#1 - 04/25/2016 01:53 PM - Zach Huntington-Meath

- Status changed from New to Assigned

- Assignee set to Zach Huntington-Meath

#2 - 04/26/2016 01:48 PM - Eric Helms

- translation missing: en.field_release set to 143

#3 - 07/13/2016 09:49 AM - Justin Sherrill
https://bugzilla.redhat.com/show_bug.cgi?id=1303685


- translation missing: en.field_release changed from 143 to 114

- Difficulty set to medium

#4 - 12/11/2017 05:53 PM - Bryan Kearney

- Status changed from Assigned to Closed

I can not reproduce this any longer. Closing this out.

#5 - 12/14/2017 04:16 PM - Eric Helms

- Project changed from Katello to Foreman

- Category deleted (API)

- Status changed from Closed to New

#6 - 12/14/2017 05:39 PM - Tomer Brisker

- Subject changed from Satellite 6.1.4 API docs link bug *Consultant in field* to Satellite 6.1.4 API docs link bug

- Category set to API

- Assignee deleted (Zach Huntington-Meath)

This is possibly a bug in apipie. Going to <foreman>/apidoc/v2 works fine, but going to <foreman>/apidoc/v2/ causes all links to point to the wrong url.

#7 - 07/23/2018 11:55 AM - Tomer Brisker

- Target version deleted (Katello Backlog)

- Triaged set to No

#8 - 05/04/2021 11:56 AM - Leos Stejskal

- Triaged changed from No to Yes
